netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
cnid_last.c File Reference
`#include "cnid_last.h"`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`
`#include <stdlib.h>`
`#include <arpa/inet.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <unistd.h>`

## Functions
cnid_t | cnid_last_add (struct _cnid_db *cdb, const struct stat *st, cnid_t did, const char *name, size_t len, cnid_t hint)
void | cnid_last_close (struct _cnid_db *cdb)
int | cnid_last_delete (struct _cnid_db *cdb, const cnid_t id)
cnid_t | cnid_last_get (struct _cnid_db *cdb, cnid_t did, const char *name, size_t len)
cnid_t | cnid_last_lookup (struct _cnid_db *cdb, const struct stat *st, cnid_t did, const char *name, size_t len)
static struct _cnid_db * | cnid_last_new (struct vol *vol)
struct _cnid_db * | cnid_last_open (struct cnid_open_args *args)
char * | cnid_last_resolve (struct _cnid_db *cdb, cnid_t *id, void *buffer, size_t len)
int | cnid_last_update (struct _cnid_db *cdb, cnid_t id, const struct stat *st, cnid_t did, const char *name, size_t len)

## Variables
struct _cnid_module | cnid_last_module

## Function Documentation

## ◆ cnid_last_add()

cnid_t cnid_last_add | ( | struct _cnid_db * | cdb,
|  | const struct stat * | st,
|  | cnid_t | did,
|  | const char * | name,
|  | size_t | len,
|  | cnid_t | hint )

## ◆ cnid_last_close()

void cnid_last_close | ( | struct _cnid_db * | cdb | ) |

## ◆ cnid_last_delete()

int cnid_last_delete | ( | struct _cnid_db * | cdb,
|  | const cnid_t | id )

## ◆ cnid_last_get()

cnid_t cnid_last_get | ( | struct _cnid_db * | cdb,
|  | cnid_t | did,
|  | const char * | name,
|  | size_t | len )

Return CNID for a given did/name.

## ◆ cnid_last_lookup()

cnid_t cnid_last_lookup | ( | struct _cnid_db * | cdb,
|  | const struct stat * | st,
|  | cnid_t | did,
|  | const char * | name,
|  | size_t | len )

## ◆ cnid_last_new()

struct _cnid_db * cnid_last_new | ( | struct vol * | vol | ) |
| static

## ◆ cnid_last_open()

struct _cnid_db * cnid_last_open | ( | struct cnid_open_args * | args | ) |

## ◆ cnid_last_resolve()

char * cnid_last_resolve | ( | struct _cnid_db * | cdb,
|  | cnid_t * | id,
|  | void * | buffer,
|  | size_t | len )

Return the did/name pair corresponding to a CNID.

## ◆ cnid_last_update()

int cnid_last_update | ( | struct _cnid_db * | cdb,
|  | cnid_t | id,
|  | const struct stat * | st,
|  | cnid_t | did,
|  | const char * | name,
|  | size_t | len )

## Variable Documentation

## ◆ cnid_last_module

struct _cnid_module cnid_last_module

Initial value:
= {
"last",
{NULL, NULL},
cnid_last_open,
0
}
cnid_last_open
struct _cnid_db * cnid_last_open(struct cnid_open_args *args)
Definition cnid_last.c:133